CoyoteInterceptor2 (Tomcat API Documentation)
Keywords: org.apache.coyote.tomcat3.CoyoteInterceptor2 class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.coyote.tomcat3
Class CoyoteInterceptor2

    java.lang.Object
      BaseInterceptor
          org.apache.coyote.tomcat3.CoyoteInterceptor2

public class CoyoteInterceptor2
extends BaseInterceptor

Standalone http. Connector properties:

- secure - will load a SSL socket factory and act as https server

Properties passed to the net layer:

- timeout
- backlog
- address
- port

Thread pool properties:

- minSpareThreads
- maxSpareThreads
- maxThreads
- poolOn

Properties for HTTPS:

- keystore - certificates - default to ~/.keystore
- keypass - password
- clientauth - true if the server should authenticate the client using certs

Properties for HTTP:

- reportedname - name of server sent back to browser (security purposes)

- compression - use gzip compression in HTTP 1.1 (on/off) - def off

- compressionMinSize - minimum size content to use gzip compression in HTTP 1.1 - def 2048

- noCompressionUserAgents - comma separated list of userAgents who didn't support gzip

- restrictedUserAgents - comma separated list of userAgents who didn't support HTTP 1.1 (use HTTP 1.0)

- compressableMimeTypes - comma separated list of mime types supported for compression - def text/html,text/xml,text/plain

See Also:
  Serialized Form

Constructor Summary
`CoyoteInterceptor2()`

Method Summary
`void` | `engineInit(ContextManager cm)` Called when the ContextManger is started
`void` | `engineShutdown(ContextManager cm)`
`void` | `engineStart(ContextManager cm)` Called when the ContextManger is started
`java.lang.Object` | `getInfo(Context ctx, org.apache.tomcat.core.Request request, int id, java.lang.String key)` getInfo calls for SSL data
`static boolean` | `isSSLAttribute(java.lang.String key)` Check if a string is a reserved SSL attribute key.
`int` | `postRequest(org.apache.tomcat.core.Request request, org.apache.tomcat.core.Response response)`
`int` | `preService(org.apache.tomcat.core.Request request, org.apache.tomcat.core.Response response)` Handle HTTP expectations.
`void` | `setAttribute(java.lang.String prop, java.lang.Object value)`
`int` | `setInfo(Context ctx, org.apache.tomcat.core.Request request, int id, java.lang.String key, java.lang.String object)`
`void` | `setProcessorClassName(java.lang.String pcn)` Set the class of the processor to use.
`void` | `setProperty(java.lang.String prop, java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoyoteInterceptor2

    public CoyoteInterceptor2()

Method Detail

### setProcessorClassName

    public void setProcessorClassName(java.lang.String pcn)

  Set the class of the processor to use.

### setAttribute

    public void setAttribute(java.lang.String prop,
                             java.lang.Object value)

### setProperty

    public void setProperty(java.lang.String prop,
                            java.lang.String value)

### engineInit

    public void engineInit(ContextManager cm)
                    throws TomcatException

  Called when the ContextManger is started

  Throws:
    `TomcatException`

### engineStart

    public void engineStart(ContextManager cm)
                     throws TomcatException

  Called when the ContextManger is started

  Throws:
    `TomcatException`

### engineShutdown

    public void engineShutdown(ContextManager cm)
                        throws TomcatException

  Throws:
    `TomcatException`

### preService

    public int preService(org.apache.tomcat.core.Request request,
                          org.apache.tomcat.core.Response response)

  Handle HTTP expectations.

### postRequest

    public int postRequest(org.apache.tomcat.core.Request request,
                           org.apache.tomcat.core.Response response)

### getInfo

    public java.lang.Object getInfo(Context ctx,
                                    org.apache.tomcat.core.Request request,
                                    int id,
                                    java.lang.String key)

  getInfo calls for SSL data

  Returns:
    the requested data

### setInfo

    public int setInfo(Context ctx,
                       org.apache.tomcat.core.Request request,
                       int id,
                       java.lang.String key,
                       java.lang.String object)

### isSSLAttribute

    public static boolean isSSLAttribute(java.lang.String key)

  Check if a string is a reserved SSL attribute key.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.